> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/tasks/post-task-set-recurrency-by-task-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Adds or updates a recurrence rule for a task. POST https://api.awork.com/api/v1/tasks/{taskId}/setrecurrency Content-Type: application/json Adds or updates a recurrence rule for a task. The recurrence rule is stored on the task. The user must have permission to access the requested resource. Reference: https://developers.awork.com/apiv1/tasks/post-task-set-recurrency-by-task-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `taskId` (string, required) — The id of the task. ### Body (application/json) This endpoint expects a TaskRecurrencyForm. - `recurrencyRule` (string, required) — The recurrence rule as cron expression. We support all expressions which cronos supports (https://github.com/HangfireIO/Cronos). The number of occurrences is limited to 24 a day. - `recurrencyInterval` (integer, optional, nullable) — The interval of the executed expression. If the value is 3, only the third time of the expression the recurrence is actually executed. - `relativeDueOn` (long, optional, nullable) — The relative due date and time of the task created from this recurrence rule, in seconds, from the moment of creating the task by a recurrence rule. - `recurrencyStartOn` (string, optional, nullable) — DateTime when recurring task creation will start, considering the set Recurrency Rule and Recurrency Interval. - `recurrencyTimezone` (string, optional, nullable) — The timezone of the Recurrency Rule. If not set, will use the requesting user's timezone. ## Response ### 204 No Content ## Errors ### 400 Bad Request Error Bad Request - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ### 401 Unauthorized Error Unauthorized - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ### 404 Not Found Error Not Found - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ## Types ### ValidationErrorResponse The validation error response. - `property` (string, optional, nullable) — The name of the property that failed validation. - `message` (string, optional, nullable) — The reason why this property failed validation. ## Examples **Request** ```json { "recurrencyRule": "\"0 0 1 * * ?\"" } ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/tasks/taskId/setrecurrency" payload = { "recurrencyRule": "\"0 0 1 * * ?\"" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/tasks/taskId/setrecurrency'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"recurrencyRule":"\"0 0 1 * * ?\""}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/tasks/taskId/setrecurrency" payload := strings.NewReader("{\n \"recurrencyRule\": \"\\\"0 0 1 * * ?\\\"\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/tasks/taskId/setrecurrency") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"recurrencyRule\": \"\\\"0 0 1 * * ?\\\"\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.awork.com/api/v1/tasks/taskId/setrecurrency") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"recurrencyRule\": \"\\\"0 0 1 * * ?\\\"\"\n}") .asString(); ``` ```php request('POST', 'https://api.awork.com/api/v1/tasks/taskId/setrecurrency', [ 'body' => '{ "recurrencyRule": "\\"0 0 1 * * ?\\"" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/tasks/taskId/setrecurrency"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"recurrencyRule\": \"\\\"0 0 1 * * ?\\\"\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["recurrencyRule": "\"0 0 1 * * ?\""] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/tasks/taskId/setrecurrency")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```